*** postgresql-7.4.5/src/Makefile.shlib	Sun Oct 19 21:34:33 2003
--- postgresql-7.4.5-64bit/src/Makefile.shlib	Fri Oct 22 16:01:49 2004
***************
*** 128,133 ****
  ifeq ($(PORTNAME), hpux)
!   shlib			:= lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION)
!   LINK.shared		= $(LD) +h $(soname) -b +b $(libdir)
!   ifeq ($(GCC), yes)
!     SHLIB_LINK		+= `$(CC) -print-libgcc-file-name`
    endif
--- 128,135 ----
  ifeq ($(PORTNAME), hpux)
!     shlib			:= lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION)
!     ifeq ($(GCC), yes)
!       LINK.shared		= $(CC) $(LDFLAGS) -shared -Wl,+h -Wl,$(soname) -Wl,+b -Wl,$(libdir)
!       SHLIB_LINK		+= `$(CC) $(LDFLAGS) -print-libgcc-file-name`
!     else
!       LINK.shared		= $(LD) +h $(soname) -b +b $(libdir)
    endif
*** postgresql-7.4.5/src/include/storage/s_lock.h	Tue Nov  4 04:43:56 2003
--- postgresql-7.4.5-64bit/src/include/storage/s_lock.h	Fri Oct 22 20:03:51 2004
***************
*** 464,465 ****
--- 464,478 ----
  
+ #if defined(__hpux) && defined(__ia64)
+ #if !defined(__GNUC__)
+ 
+ #define HAS_TEST_AND_SET
+ 
+ typedef unsigned int slock_t;
+ 
+ #include <ia64/sys/inline.h>
+ #define TAS(lock) _Asm_xchg(_SZ_W, lock, 1, _LDHINT_NONE)
+ 
+ #endif        /* !defined(__GNUC__) */
+ #endif
+ 
  #if defined(__QNX__) && defined(__WATCOMC__)
*** postgresql-7.4.5/src/makefiles/Makefile.hpux	Thu May 29 14:08:42 2003
--- postgresql-7.4.5-64bit/src/makefiles/Makefile.hpux	Fri Oct 22 20:06:06 2004
***************
*** 13,14 ****
--- 13,20 ----
  
+ # Using X/Open Networking Interfaces requires to link with libxnet.
+ # Without specifying this, bind(), getpeername() and so on don't work
+ # correctly in the LP64 data model.
+ LIBS := -lxnet $(LIBS)
+ 
+ 
  # Embed 'libdir' as the shared library search path so that the executables
***************
*** 30,32 ****
--- 36,42 ----
  
+ ifeq ($(host_cpu), ia64)
+ DLSUFFIX = .so
+ else
  DLSUFFIX = .sl
+ endif
  ifeq ($(GCC), yes)
***************
*** 39,42 ****
  # shlib ... should go away, since this is not really enough knowledge)
! %.sl: %.o
  	$(LD) -b -o $@ $<
  
--- 49,56 ----
  # shlib ... should go away, since this is not really enough knowledge)
! %$(DLSUFFIX): %.o
! ifeq ($(GCC), yes)
! 	$(CC) $(LDFLAGS) -shared -o $@ $<
! else
  	$(LD) -b -o $@ $<
+ endif
  
